#pragma once

#include "gui.h"
#include "framebuffer.h"
#include "ppc.h"
#include "tmesh.h"

class Scene {
public:
  PPC *ppc;
  GUI *gui;
  FrameBuffer *fb, *photo;
  Scene();
  void DBG();
  void Render();
  void Setup();
  void ProjectiveTMSetup();
  TMesh *tm1, *tm2;
  V3 *markers;
  int markersN;
  void ExtrinsicCalibrationBF();
};

extern Scene *scene;
